%bcond_with bootstrap

Name:           extra-enforcer-rules
Version:        1.7.0
Release:        %mkrel 2
Group:          Development/Java
Summary:        Extra rules for maven-enforcer-plugin
License:        Apache-2.0
URL:            https://github.com/mojohaus/extra-enforcer-rules
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        https://repo1.maven.org/maven2/org/codehaus/mojo/extra-enforcer-rules/%{version}/extra-enforcer-rules-%{version}-source-release.zip

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(commons-codec:commons-codec)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven.enforcer:enforcer-api)
BuildRequires:  mvn(org.apache.maven.shared:maven-common-artifact-filters)
BuildRequires:  mvn(org.apache.maven.shared:maven-dependency-tree)
BuildRequires:  mvn(org.apache.maven:maven-core)
BuildRequires:  mvn(org.codehaus.mojo:mojo-parent:pom:)
BuildRequires:  mvn(org.eclipse.sisu:sisu-maven-plugin)
BuildRequires:  mvn(org.mockito:mockito-core)
%endif

%description
Apache's Maven Enforcer Plugin is used to apply and enforce rules on Maven
projects. The Enforcer plugin ships with a set of standard rules. This project
provides extra rules which are not part of the standard rule set.

%package javadoc
Summary: Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q

# Integration tests fetch upstream poms
%pom_remove_plugin :maven-invoker-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE.txt
%doc README.md

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt



%changelog
* Thu May 23 2024 ns80 <ns80> 1.7.0-2.mga10
+ Revision: 2066588
- rebuild without bootstrap

* Thu May 23 2024 ns80 <ns80> 1.7.0-1.mga10
+ Revision: 2066568
- bootstrap build
+ daviddavid <daviddavid>
- Update to upstream version 1.7.0

* Mon Jul 25 2022 neoclust <neoclust> 1.5.1-3.mga9
+ Revision: 1871189
- Disable bootstrap

* Sat Jul 23 2022 neoclust <neoclust> 1.5.1-2.mga9
+ Revision: 1870234
- Fix BR for bootstrap

* Tue Jun 07 2022 neoclust <neoclust> 1.5.1-1.mga9
+ Revision: 1863470
- imported package extra-enforcer-rules


* Thu May 05 2022 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.5.1-2
- Implement bootstrap mode

* Mon May 02 2022 Marian Koncek <mkoncek@redhat.com> - 1.5.1-1
- Initial release
